Bug 1333358 - Provide way to determine if xlator option 'resync-failed-syncs-after-fsync' is supported
Summary: Provide way to determine if xlator option 'resync-failed-syncs-after-fsync' i...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On:
Blocks: 1333142 1524254 1548448
TreeView+ depends on / blocked
 
Reported: 2016-05-05 11:27 UTC by Niels de Vos
Modified: 2020-04-16 15:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 09:10:08 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-05-05 11:27:41 UTC
In the current upstream Gluster, the write-behind cache supports a xlator option 'resync-failed-syncs-after-fsync', which has Gluster retain the cache on fsync failure, until the file descriptor is flushed/closed.  With this QEMU, when using the libglusterfs library, can perform retries on a fsync failure.

However, QEMU has no way of determining at runtime if this xlator option is supported.  The api glfs_set_xlator_option() will return success even for unknown options.  It would be very useful for us to be able to determine if we can use the new xlator option - until we can determine if it is support, QEMU must act as if it is not supported.

Comment 1 Vijay Bellur 2018-11-20 09:42:06 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/600

Please follow the github issue for further updates on this bug.

Comment 2 Stefano Garzarella 2019-09-09 09:14:48 UTC
Is glfs_set_xlator_option() fixed or there is any way in the current API to know if 'resync-failed-syncs-after-fsync' is supported or not?


Note You need to log in before you can comment on or make changes to this bug.